String clazzTpl({package}) => """
import 'package:flutter/material.dart';

enum ThemeType {
  dark,
  light,
}

class ThemeState {
  ThemeType type = ThemeType.dark;

  Color get title =>
      {ThemeType.dark: Colors.white, ThemeType.light: Color(0xff3c3f41)}[type]!;

  Color get body =>
      {ThemeType.dark: Color(0xff3c3f41), ThemeType.light: Colors.white}[type]!;
}
""";
