import 'package:xanno/src/anno/utils/base.dart';

class GRoute extends GBase {
  /// 路由地址
  final String url;

  /// 页面title
  final String title;

  final bool enable;

  /// 生成数据防抖时间间隔(毫秒)，越大越稳定
  final int debounceTime;

  const GRoute(
      {required this.title,
      required this.url,
      this.enable = true,
      this.debounceTime = 1000})
      : super();
}
